<h1><p align="center"><a href="https://neutrinojs.org"><img src="https://raw.githubusercontent.com/neutrinojs/neutrino/master/docs/assets/logo.png" height="150"></a></p></h1>

### Create and build modern JavaScript applications with zero initial configuration

#### Neutrino combines the power of webpack with the simplicity of presets.

[![NPM version][npm-image]][npm-url] [![NPM downloads][npm-downloads]][npm-url]

---

Neutrino is a configuration management tool for the webpack ecosystem that
supports building, testing, linting, and developing JavaScript projects based on
shared configuration presets and middleware. You can use Neutrino within your
project alongside webpack, ESLint, Jest, Karma, and more of your favorite CLI
tools. It intends to make the process of initializing and building projects much
simpler by providing minimal development dependencies and tightening the
integration between tools.

Neutrino supports webpack for building both web and Node.js projects by
providing complete build presets which can be shared across targets and
projects. You can use Neutrino base presets to get started building a variety of
projects, and you can create your own presets by extending the Neutrino core
ones to be shared across your own projects or even by the community. Presets can
even be manipulated on a project-by-project basis to handle almost any build
situation your preset doesn't cover.

## Documentation

See the [Neutrino docs](https://neutrinojs.org/) for details on installation,
getting started, usage, and customizing.

[npm-image]: https://img.shields.io/npm/v/neutrino.svg
[npm-downloads]: https://img.shields.io/npm/dt/neutrino.svg
[npm-url]: https://www.npmjs.com/package/neutrino
